%define upstream_name    Struct-Dumb
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make simple lightweight record-like structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Struct/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildArch:  noarch

%description
'Struct::Dumb' creates record-like structure types, similar to the 'struct'
keyword in C, C++ or C#, or 'Record' in Pascal. An invocation of this
module will create a construction function which returns new object
references with the given field values. These references all respond to
lvalue methods that access or modify the values stored.

It's specifically and intentionally not meant to be an object class. You
cannot subclass it. You cannot provide additional methods. You cannot apply
roles or mixins or metaclasses or traits or antlers or whatever else is in
fashion this week.

On the other hand, it is tiny, creates cheap lightweight array-backed
structures, uses nothing outside of core. It's intended simply to be a
slightly nicer way to store data structures, where otherwise you might be
tempted to abuse a hash, complete with the risk of typoing key names. The
constructor will 'croak' if passed the wrong number of arguments, as will
attempts to refer to fields that don't exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.140.0-2.mga10
+ Revision: 2217980
- Mageia 10 Mass Rebuild

* Wed Feb 22 2023 tv <tv> 0.140.0-1.mga9
+ Revision: 1944689
- update to 0.14

* Mon Sep 05 2022 tv <tv> 0.130.0-1.mga9
+ Revision: 1884078
- update to 0.13

* Mon Mar 21 2022 umeabot <umeabot> 0.120.0-2.mga9
+ Revision: 1812592
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 tv <tv> 0.120.0-1.mga8
+ Revision: 1570610
- BR perl(Module::Build)
- update to 0.12

* Sat Apr 18 2020 tv <tv> 0.110.0-1.mga8
+ Revision: 1568581
- update to 0.11

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-4.mga8
+ Revision: 1497228
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-3.mga7
+ Revision: 1271244
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-2.mga6
+ Revision: 1033471
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 989843
- update to 0.09

* Sat Jan 16 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 923922
- update to 0.08

* Wed Oct 14 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 891526
- update to 0.07

* Mon Jul 13 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 853701
- update to 0.03

* Sun Oct 19 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 789941
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 749885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 686262
- Mageia 5 Mass Rebuild

* Mon May 12 2014 shlomif <shlomif> 0.20.0-1.mga5
+ Revision: 622178
- imported package perl-Struct-Dumb


* Mon May 12 2014 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
